/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements. See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership. The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.apache.sshd.ldap;

import org.apache.sshd.server.session.ServerSession;

/**
 * Serves as the base class for password and public key authenticators.
 *
 * @author <a href="mailto:dev@mina.apache.org">Apache MINA SSHD Project</a>
 */
public class LdapAuthenticator extends LdapNetworkConnector<ServerSession> {
    public static final String DEFAULT_USERNAME_ATTR_NAME = "uid";
    public static final String DEFAULT_AUTHENTICATION_MODE = "none";

    public LdapAuthenticator() {
        setAuthenticationMode(DEFAULT_AUTHENTICATION_MODE);
    }
}
